---

stages:
  - ed:test
  - ed:build
  - ed:deploy

job:test:
  stage: ed:test
  image: ruby:3.1
  script:
    - gem install mdl
    - mdl docs/*.md

build:
  stage: ed:build
  image: python:3.9
  script:
    - pip install mkdocs
    - mkdocs build
    - find site
  artifacts:
    paths:
      - site
pages:
  stage: ed:deploy
  script:
    - rm -fr public
    - cp -r site public
  artifacts:
    paths:
      - site
      - public
